//----- Include Files ---------------------------------------------------------
#include "avr/io.h"		// include I/O definitions (port names, pin names, etc)
#include "avr/interrupt.h"	// include interrupt support

#include "global.h"		// include our global settings
#include "timer.h"		// include timer function library (timing, PWM, etc)

void inline allumer(void);

void inline eteindre(void);

int main(void)
{	
	timerInit();	
	DDRC = 0xFF; // port C en sortie		
	
	
	while (1)
	{	
		
		// lancer un front haut pour dmarrer le chrono
		sbi(PORTC,0);		
		
		// allumer toute la srie de leds
		allumer();
		
		// les teindre dans le sens contraire
		eteindre();
		
		// un front bas pour teindre le chrono
		cbi(PORTC,0);
		
		delay_ms(1);
	}	
	
	return 0;	
}

void inline allumer(void)
{
	// pourrait faire 100 lignes de ce genre :
	sbi(PORTC,1);	
	sbi(PORTC,2);	
	sbi(PORTC,3);	
	sbi(PORTC,4);	
}

void inline eteindre(void)
{
	cbi(PORTC,4);	
	cbi(PORTC,3);	
	cbi(PORTC,2);	
	cbi(PORTC,1);	
}
